Google Maps

  • Google Maps Enigma2 Client FAQ



    How to get own Placemarks into the List at Plugin Start?


    You can put your own KML-File in the Root Dir of the Plugin. This is in most
    cases /usr/lib/enigma2/python/Plugins/Extensions/GoogleMaps/



    How the Plugin will find my custom KML-File?


    The Plugin looks at Startup in his own Dir and will try to read and to display
    all Files that are ending with the Extension .kml .



    How to get a KML-File?


    The Plugin uses the same KML-Files as Google Earth does it. So, if you have
    your Collection of custom Placemarks in Google Earth for Example, export them
    into a File in the Format KMZ. Rename this exported KMZ file to xxzzyy.kmz.zip
    and extract it. You will find a KML-File that will contain your Placemarks.



    Why are there so much more Tags in the original KML-File from Google Earth than
    in the standart KML-Files of the Plugin are?


    This is because parsing unneeded Stuff costs Time we dont have :) To Speeding
    up the Start of the Plugin, we have kicked of all unneeded Stuff from the
    standart KML-Files. But a original KML from Google Earth has to work too, but
    slower.



    Which Tags are important for this Plugin?


    This is an example of a KML-Docoment :
    <?xml version="1.0" encoding="UTF-8"?>
    <kml xmlns="http://earth.google.com/kml/2.2">
    <Document>
    <Folder>
    <name>This is the Entry which will be shown in the Plugin Root List</name>
    <Placemark>
    <name>This is the Name of a Placemark</name>
    <LookAt>
    <longitude>13.3501</longitude>
    <latitude>52.514553</latitude>
    </LookAt>
    </Placemark>
    </Folder>
    </Document>
    </kml>



    What I am doing, if i want some Placemarks be added to the standart Plugin
    KML-Files?


    Just send me a email to 3c5x9%at%gmx.net .

  • Code
    root@dm800:/tmp# ipkg install enigma2-plugin-extensions-googlemaps_2.5cvs20081011-r0_mipsel.ipk
    Installing enigma2-plugin-extensions-googlemaps (2.5cvs20081011-r0) to root...
    Nothing to be done
    An error ocurred, return value: 1.
    Collected errors:
    ERROR: Cannot satisfy the following dependencies for enigma2-plugin-extensions-googlemaps:
    twisted-web
    root@dm800:/tmp#


    Code
    root@dm800:/tmp# ls -la *.ipk
    -rw-r--r-- 1 root root 50048 Oct 10 22:26 enigma2-plugin-extensions-googlemaps_2.5cvs20081011-r0_mipsel.ipk
    -rw-r--r-- 1 root root 366236 Oct 10 22:27 twisted-web2_8.1.0-r0_mipsel.ipk
    -rw-r--r-- 1 root root 417154 Oct 10 22:27 twisted-web_8.1.0-r0_mipsel.ipk
    root@dm800:/tmp#

    Zuerst ignorieren sie dich, dann lachen sie über dich, dann bekämpfen sie dich und dann gewinnst du. <br>
    Mahatma Gandhi

  • installier mal twisted-web zu erst und dann googlemaps


    PS.: Übers Onlineupdate hält er die Reihenfolge auch von alleine ein.

    Es heißt auch nicht mehr Troll, sondern Netzbürger mit Frustrationshintergrund.
    <br>
    Leider muß ich es extra schreiben: Kein Support per PM. Privater Support hilft uns nicht weiter als Forum!

  • Code
    root@dm800:/tmp# ipkg install twisted-web_8.1.0-r0_mipsel.ipk
    Installing twisted-web (8.1.0-r0) to root...
    Configuring twisted-web
    root@dm800:/tmp# ipkg install enigma2-plugin-extensions-googlemaps_2.5cvs20081011-r0_mipsel.ipk
    Installing enigma2-plugin-extensions-googlemaps (2.5cvs20081011-r0) to root...
    Configuring enigma2-plugin-extensions-googlemaps
    root@dm800:/tmp#

    Zuerst ignorieren sie dich, dann lachen sie über dich, dann bekämpfen sie dich und dann gewinnst du. <br>
    Mahatma Gandhi

  • Das ist ja wieder eine feine Idee. Habs auf der 7025 SS installiert. Hier zeigt das Bild Streifen zwischen den einzelnen Segmenten.


    Hatte erst gedacht, es hängt irgendwie mit der Auflösung im Menü A/V zusammen, das ändert aber nichts. Ich hänge mal einen Screenshot anbei.


    LG, ecky2


    edit by Schaedelmeister:
    Habe aus dem bmp mal ein jpg gemacht. Ist weniger Speicherplatz ;)

  • Das ist (genauer war) ein Fehler im CVS. Das ist im nächsten Onlineupdate gefixt.
    Ansonsten verwende das aktuelle scvs + akktuelles Onlineupdate.


    [edit]
    Nö, ist im scvs auch noch nicht gefixt. (10.10.2008 23:45)

    Hilfe gesucht ? schau mal ins Gemini Project WIKI, auch unsere Video Tutorials sind für den Einstieg sehr empfehlenswert


    Nur wer die Weisheit mit Löffeln gefressen hat, kann auch klugscheißen. :klugscheiss:
    Alte asiatische Weisheit (wahrscheinlich Plagiat): Ohne Fleiß kein Scheiß. (Ich übernehme keine Garantie für Fehlerfreiheit der Übersetzung)
    "Alle großen Männer sind bescheiden." Gotthold Ephraim Lessing
    "Ich bin nur einsvierundsechzig"adenin
    "Es reicht nicht, Sachen falsch zu verstehen. Man muss sie richtig falsch verstehen."adenin
    "Friends: You Have 0 Friends"facebook

  • Es gibt in der Database jetzt ein neues scvs, damit geht's. :D

    Hilfe gesucht ? schau mal ins Gemini Project WIKI, auch unsere Video Tutorials sind für den Einstieg sehr empfehlenswert


    Nur wer die Weisheit mit Löffeln gefressen hat, kann auch klugscheißen. :klugscheiss:
    Alte asiatische Weisheit (wahrscheinlich Plagiat): Ohne Fleiß kein Scheiß. (Ich übernehme keine Garantie für Fehlerfreiheit der Übersetzung)
    "Alle großen Männer sind bescheiden." Gotthold Ephraim Lessing
    "Ich bin nur einsvierundsechzig"adenin
    "Es reicht nicht, Sachen falsch zu verstehen. Man muss sie richtig falsch verstehen."adenin
    "Friends: You Have 0 Friends"facebook

  • Quote

    Original von ecky2
    Das ist ja wieder eine feine Idee. Habs auf der 7025 SS installiert. Hier zeigt das Bild Streifen zwischen den einzelnen Segmenten.


    Hatte erst gedacht, es hängt irgendwie mit der Auflösung im Menü A/V zusammen, das ändert aber nichts. Ich hänge mal einen Screenshot anbei.


    LG, ecky2


    Hast mit --force-depends installiert, oder? Weil dann ignoriert er eben, das er nen E2 von heute braucht.

    Es heißt auch nicht mehr Troll, sondern Netzbürger mit Frustrationshintergrund.
    <br>
    Leider muß ich es extra schreiben: Kein Support per PM. Privater Support hilft uns nicht weiter als Forum!

  • Quote

    Original von ecky2
    Ich habe es einfach über BP in einer Flashkopie meines aktuellen Gemini 3.8 installiert. Dafür war es wohl noch gar nicht vorgesehen? Die Installation lief jedenfalls problemlos und im Hauptmenü war der Menüpunkt dann sofort verfügar.


    LG, ecky2


    Scheint so als ob dann in der Funktion des BP das so drin ist das --force-depends. Wusste ich bislang auch nicht. Ob das so sinnvoll ist oder nicht lasse ich dann aber auch dahin gestellt.


    Aber ja, es startet dann auch, nur eben mit den bemerkten Streifen (die wenn man genau nimmt immer rechts und links pro 3*3 Kachel vorhanden sind). Denn der Patch für die loadPic von adenin ist erst seit kurzem (2 Tagen) im CVS.

    Es heißt auch nicht mehr Troll, sondern Netzbürger mit Frustrationshintergrund.
    <br>
    Leider muß ich es extra schreiben: Kein Support per PM. Privater Support hilft uns nicht weiter als Forum!

  • Quote

    Original von ecky2
    Bedeutet das, ein manuelles installieren über Console würde die Abhängige Componente loadPic dann automatisch mit aktualisieren (kann's gerade nicht testen)? Oder funktioniert es derzeit nur, wenn man sich ein komplettes SVCS installiert?


    Nee, er würde es einfach abbrechen mit


    ERROR: Cannot satisfy the following dependencies for enigma2-plugin-extensions-googlemaps:


    Wenn man es allerdings aus einem Feed herraus installiert (ipkg install enigma2-plugin-extensions-googlemaps) und im Feed die nötigen Updates/Dependencies vorhanden sind, dann aktualisiert er es.


    Davon ab ist die loadPic eine Funktion von enigma2... da würde es ein komplettes E2 Paket bedürfen.

    Es heißt auch nicht mehr Troll, sondern Netzbürger mit Frustrationshintergrund.
    <br>
    Leider muß ich es extra schreiben: Kein Support per PM. Privater Support hilft uns nicht weiter als Forum!


  • über Blue Panel oder manuel. Die Datei ind /tmp ordner und dann manuel installieren,oder über telnet

  • hallo



    habe es auch mal drauf gemacht
    auf meine 800 im gemini -images
    wenn ich es starten will stürzt die box ab und startet neu



    mfG Rene